
/* System wide */
:root {
  --text: #111;
  --muted: #666;
  --bg: #f5f5f7;
  --card: #ffffff;
  --accent: #0a84ff;
  --border: #e5e5e5;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  min-height: 100dvh;
  /* display: flex; */
  
  /* STYLING */ 
  font-family: -apple-system, BlinkMacSystemFont, "SF Pro Text", sans-serif;
  background: var(--bg);
  color: var(--text);
}

/* Main containers */
.container {
  max-width: 1400px; /* keep contents reasonable width, which looks nice on bigger screens and easier to control layout */
  margin: 0 auto; /* center horizontally to fill available space on the sides */
  width: 100%;
  /* INSIDE CONTAINER: */
  box-sizing: border-box; /* padding included inside the container */
  padding: 24px 32px;
}
/* Reduce the padding on smaller screens */
@media (max-width: 768px) {
  .container {
    padding: 16px 20px;
  }
}
@media (max-width: 480px) {
  .container {
    padding: 12px 16px;
  }
}

.card {
  min-height: calc(100dvh - 48px);
  padding-block: 32px 16px; /* top and bottom padding */
  padding-inline: clamp(20px, 4vw, 48px); /* left and right padding */
  display: flex;
  flex-direction: column;
  gap: clamp(24px, 4vw, 48px);

  /* STYLING */ 
  background: var(--card);
  border-radius: 16px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.08);
}

.site-header,
.site-footer {
  flex: 0 0 auto;
}

/* Header */
.site-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 8px 24px 18px 24px;

  /* STYLING */ 
  border-bottom: 1px solid rgba(0, 0, 0, 0.04);
}

/* Header Logo */
.logo {
  display: flex;
  align-items: center;
  gap: 24px;
}
.logo img {
  width: 52px;
  height: 52px;
  border-radius: 5px;
}
.logo strong {
  font-size: 1.75rem;
}

/* Navigation */
nav {
  display: flex;
  align-items: center;
  gap: 36px;
}
nav a {
  font-size: 1.15rem;
  font-weight: 400;
  text-decoration: none;
  color: var(--muted);
}
nav a:hover {
  color: var(--text);
}

a {
  color: var(--accent);
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
@media (max-width: 600px) {
  .site-header {
    justify-content: space-between;
    padding: 8px 0 14px;
  }

  .logo {
    gap: 10px;
  }

  .logo img {
    width: 40px;
    height: 40px;
  }

  .logo strong {
    font-size: 1.2rem;
  }

  nav {
    gap: 12px;
  }

  nav a {
    font-size: 0.95rem;
  }
}

/* Footer */
.site-footer {
  padding: 24px 0 32px;
  border-top: 1px solid var(--border);
  font-size: 14px;
  color: var(--muted);
}